PrefabFiles = {
	"wavis",
	"maplespear",
	--"funhouse",
	"gnomenade",
	"gnome_print",
	"spiderplushie",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wavis.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wavis.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wavis.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wavis.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/wavis_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wavis_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wavis.tex" ),
    Asset( "ATLAS", "bigportraits/wavis.xml" ),
	
	Asset( "IMAGE", "images/map_icons/wavis.tex" ),
	Asset( "ATLAS", "images/map_icons/wavis.xml" ),
	
	Asset("ATLAS", "images/inventoryimages/funhouse.xml"),
    Asset("IMAGE", "images/inventoryimages/funhouse.tex"),
	
	Asset("ATLAS", "images/inventoryimages/maplespear.xml"),
	Asset("IMAGE", "images/inventoryimages/maplespear.tex"),
	
	Asset("SOUND", "sound/door.fsb"),
    Asset("SOUNDPACKAGE", "sound/door.fev"),
	
	Asset("SOUND", "sound/exp.fsb"),
    Asset("SOUNDPACKAGE", "sound/exp.fev"),
	
	Asset("SOUND", "sound/gnomenade.fsb"),
    Asset("SOUNDPACKAGE", "sound/gnomenade.fev"),
}



local require = GLOBAL.require
--local STRINGS = GLOBAL.STRINGS
--local RECIPETABS = GLOBAL.RECIPETABS
--local TECH = GLOBAL.TECH

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action

--local resolvefilepath = GLOBAL.resolvefilepath

-- The character select screen lines
STRINGS.CHARACTER_TITLES.wavis = "The Streamer"
STRINGS.CHARACTER_NAMES.wavis = "Wavis"
STRINGS.CHARACTER_DESCRIPTIONS.wavis = "*He's stronger when needed. \n*Is afraid of the dark \n*Loves animals"
STRINGS.CHARACTER_QUOTES.wavis = "\"Welcome to the fun house!\""

-- Items
GLOBAL.STRINGS.NAMES.MAPLESPEAR = "Maple Spear"


-- Custom speech strings
STRINGS.CHARACTERS.WAVIS = require "speech_wavis"

-- The character's name as appears in-game 
STRINGS.NAMES.WAVIS = "Wavis"

AddMinimapAtlas("images/map_icons/wavis.xml")
AddMinimapAtlas("images/inventoryimages/funhouse.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wavis")

AddMinimapAtlas("images/map_icons/wavis.xml")
AddModCharacter("wavis")

STRINGS.NAMES.MAPLESPEAR = "Maple Spear"
STRINGS.RECIPE_DESC.MAPLESPEAR = "Deal with sticky situations."

STRINGS.NAMES.GNOMENADE = "Gnomenade"
STRINGS.RECIPE_DESC.GNOMENADE = "Get the power of gnomes!"

--STRINGS.NAMES.FUNHOUSE = "The Fun House" --It's name in-game
--STRINGS.RECIPE_DESC.FUNHOUSE = "Welcome Home!" --recipe description

STRINGS.NAMES.SPIDERPLUSHIE = "Spider Plushie" --It's name in-game
STRINGS.RECIPE_DESC.SPIDERPLUSHIE = "A squishy friend." --recipe description

STRINGS.CHARACTERS.GENERIC.DESCRIBE.MAPLESPEAR = "As sharp as it looks."
STRINGS.CHARACTERS.WAVIS.DESCRIBE.MAPLESPEAR = "Hmmm, it smeels like home."

STRINGS.CHARACTERS.GENERIC.DESCRIBE.FUNHOUSE = "Welcome to the fun house!" --Examine 
STRINGS.CHARACTERS.WAVIS.DESCRIBE.SPIDERPLUSHIE = "Hope they don't notice is a fake hostage." --Examine 
STRINGS.CHARACTERS.WEBBER.DESCRIBE.SPIDERPLUSHIE = "Hello, friend." --Examine 
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SPIDERPLUSHIE = "Hope they don't notice is a fake hostage." --Examine 



local spiderplushie_recipe = GLOBAL.Recipe( ("spiderplushie"), 
{ Ingredient("sewing_kit", 1),
    Ingredient("beardhair", 4),
    Ingredient("silk", 3)},
RECIPETABS.SURVIVAL, 
{SCIENCE = 0},   
nil, 
nil, 
nil,  "waviscrafter", 1 )
spiderplushie_recipe.atlas = "images/inventoryimages/spiderplushie.xml"
spiderplushie_recipe.sortkey = 0

local maplespear_recipe = GLOBAL.Recipe( ("maplespear"), 
{ Ingredient("spear", 1),
Ingredient("cutgrass", 4),
Ingredient("honey", 4)}, 
RECIPETABS.WAR, 
{SCIENCE = 0},   
nil, 
nil, 
nil,  "waviscrafter", 1 )
maplespear_recipe.atlas = "images/inventoryimages/maplespear.xml"
maplespear_recipe.sortkey = 0

local gnomenade_recipe = GLOBAL.Recipe( ("gnomenade"), 
{ Ingredient("trinket_4", 1),
Ingredient("nightmarefuel", 2)}, 
RECIPETABS.WAR, 
{SCIENCE = 0},   
nil, 
nil, 
nil,  "waviscrafter", 3 )
gnomenade_recipe.atlas = "images/inventoryimages/gnomenade.xml"
gnomenade_recipe.sortkey = 1





