require "prefabutil"


local assets=
{
    Asset("ANIM", "anim/funhouse.zip"),
    Asset("ATLAS", "images/inventoryimages/funhouse.xml"),
    Asset("IMAGE", "images/inventoryimages/funhouse.tex"),
}

--------------------------------
local function onhammered(inst, worker)

   inst.components.lootdropper:DropLoot()
    if inst.components.container ~= nil then
        inst.components.container:DropEverything()
    end
    local fx = SpawnPrefab("collapse_big")
    fx.Transform:SetPosition(inst.Transform:GetWorldPosition())
    fx:SetMaterial("wood")
    inst:Remove()
end

local function onhit(inst, worker)
    if not inst:HasTag("burnt") then
    	inst.AnimState:PlayAnimation("idle")
    	inst.AnimState:PushAnimation("idle")
    end
end

local function onbuilt(inst)
	inst.AnimState:PlayAnimation("idle")
	inst.AnimState:PushAnimation("idle")
    inst.SoundEmitter:PlaySound("dontstarve/common/craftable/rabbit_hutch")
end

local function onopen(inst)
    inst.AnimState:PlayAnimation("open")
    inst.SoundEmitter:PlaySound("door/exp/open")
end

local function onclose(inst)
    inst.AnimState:PlayAnimation("idle")
    inst.SoundEmitter:PlaySound("door/exp/close")
end


----------------------------------

local function fn()
    local inst = CreateEntity()

	inst:AddTag("structure")
    inst:AddTag("chest")
	
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddMiniMapEntity()
	inst.entity:AddLight()
	
    MakeObstaclePhysics(inst, 1.1)
	
	inst.Light:SetRadius(2)
    inst.Light:SetIntensity(.6)
    inst.Light:SetFalloff(0.9)
    inst.Light:SetColour(180/255, 195/255, 50/255)
    inst.Light:Enable(true)
    --inst.Light:EnableClientModulation(true)
    
	
	local minimap = inst.entity:AddMiniMapEntity()	
	minimap:SetIcon("funhouse.tex")
	
	inst.AnimState:SetBank("funhouse")
    inst.AnimState:SetBuild("funhouse")
    inst.AnimState:PlayAnimation("idle")
		
    inst:AddComponent("lootdropper")
    inst:AddComponent("inspectable")
    
	inst:AddComponent("container")
	inst.components.container:WidgetSetup("dragonflychest")
	inst.components.container.onopenfn = onopen
    inst.components.container.onclosefn = onclose
	
    inst:AddComponent("workable")
    inst.components.workable:SetWorkAction(ACTIONS.HAMMER)
    inst.components.workable:SetWorkLeft(3)
	inst.components.workable:SetOnFinishCallback(onhammered)
	inst.components.workable:SetOnWorkCallback(onhit)

	inst:ListenForEvent( "onbuilt", onbuilt)
    return inst
end

return Prefab( "common/funhouse", fn, assets),
        MakePlacer( "common/funhouse_placer", "funhouse", "funhouse", "idle" ) 
