local assets =
{ 
    Asset("ANIM", "anim/maplespear.zip"),
    Asset("ANIM", "anim/swap_maplespear.zip"), 

    Asset("ATLAS", "images/inventoryimages/maplespear.xml"),
    Asset("IMAGE", "images/inventoryimages/maplespear.tex"),
}

local function OnEquip(inst, owner) 
        --owner.AnimState:OverrideSymbol("swap_object", "swap_maplespears", "purplestaff")
        owner.AnimState:OverrideSymbol("swap_object", "swap_maplespear", "maplespear")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
end

local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
end

local function fn()
local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("maplespear")
    inst.AnimState:SetBuild("maplespear")
    inst.AnimState:PlayAnimation("idle")
	
	 inst:AddTag("sharp")
	 

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(48)
	inst:AddComponent("inspectable")
	
	inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(500)
    inst.components.finiteuses:SetUses(500)
    inst.components.finiteuses:SetOnFinished(inst.Remove)
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "maplespear"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/maplespear.xml"
    

    return inst
end

return Prefab("common/inventory/maplespear", fn, assets)