local assets =
{ 
    Asset("ANIM", "anim/spiderplushie.zip"),
    Asset("ANIM", "anim/swap_spiderplushie.zip"), 

    Asset("ATLAS", "images/inventoryimages/spiderplushie.xml"),
    Asset("IMAGE", "images/inventoryimages/spiderplushie.tex"),
}

local function OnEquip(inst, owner) 
		--owner.AnimState:SetMultiSymbolExchange("swap_object", "hand")
        owner.AnimState:OverrideSymbol("swap_object", "swap_spiderplushie", "spiderplushie")
		owner.AnimState:Show("ARM_carry")
		owner.AnimState:Hide("ARM_normal")
		
		if not owner:HasTag("monster") then
        owner:AddTag("monster")
		owner:AddTag("spiderwhisperer")
		owner:AddTag("unhuman")
		owner.components.locomotor:SetTriggersCreep(false)
		end
		
		if inst.components.fueled ~= nil then
       inst.components.fueled:StartConsuming()
	end
end

local function OnUnequip(inst, owner) 
		--owner.AnimState:ClearSymbolExchanges()
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
		owner.components.leader: RemoveFollowersByTag ("spider")
		
		if owner:HasTag("unhuman") then
		owner:RemoveTag("monster")
		owner:RemoveTag("spiderwhisperer")
		owner:RemoveTag("unhuman")
		owner.components.locomotor:SetTriggersCreep(true)
		end
		if inst.components.fueled ~= nil then
       inst.components.fueled:StopConsuming()
    end
end

local function fn()
local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()


    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("spiderplushie")
    inst.AnimState:SetBuild("spiderplushie")
    inst.AnimState:PlayAnimation("idle")
	
	 
	inst:AddComponent("fueled")
        inst.components.fueled.fueltype = "USAGE"
        inst.components.fueled:InitializeFuelLevel(TUNING.STRAWHAT_PERISHTIME)
    inst.components.fueled:SetDepletedFn(inst.Remove)
	
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(1)
	inst:AddComponent("inspectable")
	
	inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "spiderplushie"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/spiderplushie.xml"
    

    return inst
end

return Prefab("common/inventory/spiderplushie", fn, assets)