
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {
	 Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),
--------------------------------------------------------------------
        Asset( "ANIM", "anim/wavis.zip" ),
}
local prefabs = {}

-- Custom starting items
local start_inv = {
"pigskin","pigskin","gnomenade","gnomenade","gnomenade",
}



local fn = function(inst)
	inst:AddTag("waviscrafter")
	inst:AddTag("wavishouse")
	-- choose which sounds this character will play
	inst.soundsname = "wilson"
	
	local minimap = inst.entity:AddMiniMapEntity()    
    minimap:SetIcon( "wavis.tex" )
	
	
	inst:ListenForEvent("healthdelta", function(inst, data)
	if inst.components.health.currenthealth <= 45 then
		
		inst.components.combat.damagemultiplier = 1.4
	else
		inst.components.combat.damagemultiplier = 1 --normal damage when it goes back up
	end
	end)            
	
	inst.components.sanity.night_drain_mult = 1
	
	inst:ListenForEvent("sanitydelta", function(inst, data)
	if inst.components.sanity.current <= 50 then
		
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.3)
	else
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)

	end
	end)   	
   	
	-- Uncomment if "wathgrithr"(Wigfrid) or "webber" voice is used
    --inst.talker_path_override = "dontstarve_DLC001/characters/"
	
	-- Stats	
	inst.components.health:SetMaxHealth(220)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(135)
	
	-- Damage multiplier (optional)
    inst.components.combat.damagemultiplier = 1
	
	-- Hunger rate (optional)
	inst.components.hunger.hungerrate = 1 * TUNING.WILSON_HUNGER_RATE
	

	
end





return MakePlayerCharacter("wavis", prefabs, assets, fn, start_inv)
